<project xmlns="http://maven.apache.org/POM/4.0.0"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<parent>
		<groupId>com.hotent</groupId>
		<artifactId>eip</artifactId>
		<version>8.0.7</version>
	</parent>
	<artifactId>portal</artifactId>
	<name>portal</name>
	<description>portal</description>

	<dependencies>
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-test</artifactId>
			<scope>test</scope>
		</dependency>
		<dependency>
			<groupId>com.hotent</groupId>
			<artifactId>mail</artifactId>
			<version>${project.version}</version>
		</dependency>
		<!-- <dependency>
			<groupId>com.hotent</groupId>
			<artifactId>im</artifactId>
			<version>${project.version}</version>
		</dependency> -->
		<dependency>
			<groupId>com.hotent</groupId>
			<artifactId>integrate</artifactId>
			<version>${project.version}</version>
		</dependency>
		<dependency>
			<groupId>commons-httpclient</groupId>
			<artifactId>commons-httpclient</artifactId>
			<version>3.1</version>
		</dependency>
		<dependency>
			<groupId>com.hotent</groupId>
			<artifactId>job</artifactId>
			<version>${project.version}</version>
		</dependency>
		<dependency>
			<groupId>com.hotent</groupId>
			<artifactId>sys</artifactId>
			<version>${project.version}</version>
		</dependency>
		<dependency>
			<groupId>com.hotent</groupId>
			<artifactId>uc-api-impl</artifactId>
			<version>${project.version}</version>
		</dependency>
		<dependency>
			<groupId>com.hotent</groupId>
			<artifactId>i18n</artifactId>
			<version>${project.version}</version>
		</dependency>
		<dependency>
			<groupId>com.hotent</groupId>
			<artifactId>calendar</artifactId>
			<version>${project.version}</version>
		</dependency>
		<dependency>
			<groupId>com.hotent</groupId>
			<artifactId>ueditor</artifactId>
			<version>${project.version}</version>
		</dependency>



		<dependency>
			<groupId>com.hotent</groupId>
			<artifactId>service-choreography</artifactId>
			<version>${project.version}</version>
		</dependency>
		<!--aliyun dayu -->
		<dependency>
			<groupId>com.aliyun</groupId>
			<artifactId>aliyun-java-sdk-core</artifactId>
			<version>3.2.8</version>
		</dependency>
		<dependency>
			<groupId>com.aliyun</groupId>
			<artifactId>aliyun-java-sdk-dysmsapi</artifactId>
			<version>1.1.0</version>
		</dependency>
		<dependency>
			<groupId>com.aliyun</groupId>
			<artifactId>aliyun-java-sdk-dyvmsapi</artifactId>
			<version>1.0.0</version>
		</dependency>
		<dependency>
			<groupId>com.gexin.platform</groupId>
			<artifactId>gexin-rp-sdk-http</artifactId>
			<version>4.1.1.4</version>
			<scope>system</scope>
			<systemPath>${basedir}/../lib-3rd/gexin-rp-sdk-http-4.1.1.4.jar</systemPath>
		</dependency>

		<dependency>
			<groupId>com.gexin.platform</groupId>
			<artifactId>gexin-rp-fastjson</artifactId>
			<version>1.0.0.7</version>
			<scope>system</scope>
			<systemPath>${basedir}/../lib-3rd/gexin-rp-fastjson-1.0.0.7.jar</systemPath>
		</dependency>

		<dependency>
			<groupId>com.gexin.platform</groupId>
			<artifactId>gexin-rp-sdk-base</artifactId>
			<version>4.0.0.38</version>
			<scope>system</scope>
			<systemPath>${basedir}/../lib-3rd/gexin-rp-sdk-base-4.0.0.38.jar</systemPath>
		</dependency>

		<dependency>
			<groupId>com.gexin.platform</groupId>
			<artifactId>gexin-rp-sdk-template</artifactId>
			<version>4.0.0.30</version>
			<scope>system</scope>
			<systemPath>${basedir}/../lib-3rd/gexin-rp-sdk-template-4.0.0.30.jar</systemPath>
		</dependency>

		<dependency>
			<groupId>com.dingtalk.api</groupId>
			<artifactId>sdk-java-auto</artifactId>
			<version>20210225</version>
			<scope>system</scope>
			<systemPath>${basedir}/../lib-3rd/sdk-java-auto-20210225.jar</systemPath>
		</dependency>

		<dependency>
			<groupId>com.aliyun</groupId>
			<artifactId>dingtalk</artifactId>
			<version>1.1.86</version>
		</dependency>
<!--		<dependency>-->
<!--			<groupId>com.hotent</groupId>-->
<!--			<artifactId>uc</artifactId>-->
<!--			<version>${parent.version}</version>-->
<!--		</dependency>-->
<!--		<dependency>-->
<!--			<groupId>com.hotent</groupId>-->
<!--			<artifactId>form</artifactId>-->
<!--			<version>${parent.version}</version>-->
<!--		</dependency>-->
		<dependency>
			<groupId>com.hotent</groupId>
			<artifactId>uc-api-impl</artifactId>
			<version>${parent.version}</version>
		</dependency>
    </dependencies>

	<!-- 用于生成jar文件-->
	<build>
		<finalName>portal</finalName>
		<plugins>
			<plugin>
				<groupId>org.springframework.boot</groupId>
				<artifactId>spring-boot-maven-plugin</artifactId>
				<version>${spring.boot.version}</version>
				<configuration>
					<mainClass>com.hotent.portal.Application</mainClass>
					<includeSystemScope>true</includeSystemScope>
					<layout>JAR</layout>
				</configuration>
				<executions>
					<execution>
						<goals>
							<goal>repackage</goal>
						</goals>
						<configuration>
							<attach>false</attach>
							<classifier>boot</classifier>
						</configuration>
					</execution>
				</executions>
			</plugin>
		</plugins>
	</build>

</project>
